/**
 * CFilterInput - 筛选项目，单选
 * @author Tevin
 */

<template>
    <view
        class="c-filter-input"
        :class="'type-'+type"
    >
        <view class="label">{{label}}</view>
        <AtInput
            type="text"
            :placeholder="'请输入' + label"
            :value="value"
            :onChange="evt => handleChange(evt)"
        />
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import { AtInput } from 'taro-ui-vue';
import './cFilterInput.scss';

export default {
    name: 'CFilterInput',
    components: {
        AtInput,
    },
    props: {
        type: String,
        label: String,
        value: String,
        onChange: Function,
    },
    data() {
        return {};
    },
    methods: {
        handleChange(value) {
            if (value) {
                this.onChange(value);
            } else {
                this.onChange(undefined);
            }
        },
    },
    mounted() {},
};
</script>